Page MenuHomePhabricator

MicrosoftWebService mangles newlines
Closed, ResolvedPublic

Description

MicrosoftWebSservice returns incorrect newlines

Input:

Your OAuth consumer request has been received.

You have been assigned a consumer token of '''$1''' and a secret token of '''$2'''. ''Please record these for future reference.''

Output:

Uw verzoek van de consument OAuth gekomen.
N!U hebt een consument token van toegewezen ''' $1 ''' en een geheim token van ''' $2 '''. '' Gelieve dit voor toekomstig gebruik opnemen ''.

Issues:

  • No empty line in the returned text, but "N!".

Details

Reference
bz58121

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:27 AM
bzimport set Reference to bz58121.
bzimport added a subscriber: Unknown Object (MLST).
siebrand created this task.Dec 6 2013, 9:28 PM

It's not TTM.

Change 243427 had a related patch set uploaded (by C0nnex):
Update Microsoft Translationservice to accesstoken model

https://gerrit.wikimedia.org/r/243427

Nikerabbit updated the task description. (Show Details)
Nikerabbit removed a subscriber: wikibugs-l-list.
Nikerabbit renamed this task from MicrosoftWebService mangles some newlines to MicrosoftWebService mangles newlines.Aug 18 2016, 12:00 PM

Change 243427 merged by jenkins-bot:
Update Microsoft Translationservice to accesstoken model

https://gerrit.wikimedia.org/r/243427

Nikerabbit removed a project: Patch-For-Review.

Only took almost three years to fix this it seems ;)

Arrbee closed this task as Resolved.Aug 30 2016, 7:16 AM